% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read_image.R
\name{read_image}
\alias{read_image}
\title{Read image}
\usage{
read_image(ve, sample_id = names(imagePaths(ve))[1])
}
\arguments{
\item{ve}{A
\link[SpatialExperiment:VisiumExperiment]{VisiumExperiment-class} object
created, such as one created by \code{sce_to_ve()}.}

\item{sample_id}{A \code{character(1)} specifying the sample ID to work with.}
}
\value{
A \code{tibble::tible()} with a \code{grob} column that is a \code{list()} with a
\code{grid::rasterGrob()} object.
@author
Brenda Pardo, Leonardo Collado-Torres
}
\description{
Helper function for \code{geom_plot()} that was needed in order to complete
\code{sce_to_ve()}. It generates the \code{grid::rasterGrob()} data needed by
\code{geom_plot()} that was previously included in the output from
\code{fetch_data("sce")}.
}
\seealso{
Other VisiumExperiment-related functions: 
\code{\link{sce_to_ve}()},
\code{\link{ve_image_colData}()}
}
\concept{VisiumExperiment-related functions}
