% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/update_scaleFactors.R
\name{update_scaleFactors}
\alias{update_scaleFactors}
\title{Update the VisiumExperiment scaleFactors}
\usage{
update_scaleFactors(ve, sample_id)
}
\arguments{
\item{ve}{A
\link[SpatialExperiment:VisiumExperiment]{VisiumExperiment-class} object
created with \code{fetch_data()}.}

\item{sample_id}{A \code{character(1)} with the name of sample of interest.}
}
\value{
A
\link[SpatialExperiment:VisiumExperiment]{VisiumExperiment-class} object
with the updated \link[SpatialExperiment:scaleFactors-VisiumExperiment-method]{scaleFactors} for the
given input \code{sample_id}.
}
\description{
Given that our data is a custom
\link[SpatialExperiment:VisiumExperiment]{VisiumExperiment-class} object
with 12 images instead of 1, this function is useful for updating the
\link[SpatialExperiment:scaleFactors-VisiumExperiment-method]{scaleFactors} for a given image.
}
\examples{

if (enough_ram()) {
    ## Obtain the necessary data
    if (!exists("ve")) ve <- fetch_data("ve")

    ## Load the SpatialExperiment package
    library("SpatialExperiment")

    ## Check the default scale factors
    scaleFactors(ve)[1:4]

    ## Replace them for those for the second image and check them
    ve <- update_scaleFactors(ve, "151508")
    scaleFactors(ve)[1:4]

    ## Restore the original ones from the first image
    ve <- update_scaleFactors(ve, "151507")
    scaleFactors(ve)[1:4]
}
}
