% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ve_image_colData.R
\name{ve_image_colData}
\alias{ve_image_colData}
\title{Create a data frame with required columns of the ve object to use \code{sce_image_gene_p()} function}
\usage{
ve_image_colData(ve, meta = as.data.frame(colData(ve)))
}
\arguments{
\item{ve}{A
\link[SpatialExperiment:VisiumExperiment]{VisiumExperiment-class} object
created, such as one created by \code{sce_to_ve()}. It is a subset containing data of just one sample.}

\item{meta}{A \code{data.frame} containing colData columns from the ve object.}
}
\value{
A \code{data.frame} containing colData columns from the ve object and
the pxl_col_in_fullres and pxl_row_in_fullres from the spatialCoords slot renamed as imagecol
and imagerow.
}
\description{
Function that creates a data frame containing the colData columns from the ve object and
the array_row and array_col from the spatialCoords slot. This allows to use the functions
\code{sce_image_gene_p()} and \code{sce_image_clus_p()} with ve objects.
}
\seealso{
Other VisiumExperiment-related functions: 
\code{\link{read_image}()},
\code{\link{sce_to_ve}()}
}
\author{
Brenda Pardo, Leonardo Collado-Torres
}
\concept{VisiumExperiment-related functions}
